View Issue Details

IDProjectCategoryView StatusLast Update
0004947Talermechant backendpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004947: Optimize how DB skips rows upon /history.
DescriptionDB now uses a wasteful tecnique to skip the first N rows from the DB results
when it serves /history.

The tecnique shold be improved via using index-based searches, as privately
discussed.

See also:
http://use-the-index-luke.com/sql/partial-results/fetch-next-page
TagsNo tags attached.

Activities

Marcello Stanisci

2017-03-20 16:28

manager   ~0011957

b8f25a0..b6f8454

Issue History

Date Modified Username Field Change
2017-03-10 17:14 Marcello Stanisci New Issue
2017-03-10 17:14 Marcello Stanisci Status new => assigned
2017-03-10 17:14 Marcello Stanisci Assigned To => Marcello Stanisci
2017-03-18 23:27 Christian Grothoff Product Version => SVN HEAD
2017-03-18 23:27 Christian Grothoff Target Version => 0.5
2017-03-20 16:28 Marcello Stanisci Status assigned => resolved
2017-03-20 16:28 Marcello Stanisci Resolution open => fixed
2017-03-20 16:28 Marcello Stanisci Note Added: 0011957
2017-03-29 16:44 Christian Grothoff Fixed in Version => 0.3
2017-03-29 16:44 Christian Grothoff Target Version 0.5 => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed